function plot_paramecium_parametrisation(k, n, np, h)
    if nargin < 4
        h = 1e-2;
    end
    if nargin < 3
        np = n*2^4;
    end

    [r, dr, d2r] = generate_paramecium(k, n);

    sbp = generate_star_shaped_parametrisation(r, dr, d2r);

    s = mod(linspace(0, 1, np+1)+1/(2*np), 1);
    xs = sbp.gamma(s);
    dxs = sbp.dgamma(s);
    nxs = sbp.ngamma(s);

    pdxs = [xs(1, :)-h*dxs(1, :); xs(1, :)+h*dxs(1, :)];
    pdys = [xs(2, :)-h*dxs(2, :); xs(2, :)+h*dxs(2, :)];

    pnxs = [xs(1, :); xs(1, :)+nxs(1, :)];
    pnys = [xs(2, :); xs(2, :)+nxs(2, :)];

    figure();
    plot(pdxs, pdys, 'r', ...
         pnxs, pnys, 'b', ...
         xs(1, :), xs(2, :), 'k');
    axis 'equal';
end